# Uses of Enum Class
java.sql.PseudoColumnUsage

Packages that use PseudoColumnUsage
Package
Description
java.sql
Provides the API for accessing and processing data stored in a data source (usually a relational database) using the Java programming language.

- ## Uses of PseudoColumnUsage in java.sql

  Subclasses with type arguments of type PseudoColumnUsage in java.sql
  Modifier and Type
  Class
  Description
  `enum`
  `PseudoColumnUsage`
  Enumeration for pseudo/hidden column usage.
  Methods in java.sql that return PseudoColumnUsage
  Modifier and Type
  Method
  Description
  `static PseudoColumnUsage`
  PseudoColumnUsage.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static PseudoColumnUsage[]`
  PseudoColumnUsage.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.